> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke All API Keys

> Revoke all API keys across organizations in the enterprise

Requires an enterprise admin personal API key.

Revokes all API keys across all organizations in the enterprise. This is a bulk operation that affects both user and service API keys.


## OpenAPI

````yaml /v2-openapi.yaml DELETE /v2/enterprise/api-keys
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/api-keys:
    delete:
      tags:
        - api-keys
      summary: Revoke Enterprise Api Keys Endpoint
      description: Revoke all API keys in the enterprise.
      operationId: revoke_enterprise_api_keys_endpoint_v2_enterprise_api_keys_delete
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
          description: Successful Response
components:
  schemas:
    SuccessResponse:
      properties:
        status:
          default: success
          title: Status
          type: string
      title: SuccessResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````